
**Baseline, (Table 2, row 1)
*only income
ivreg consumption y1e ind rich maxt area1 area2 rest  (aprice  = pp1 pp2 pp3 pp4 pp5 pp6) , r
**income and other hh characterisitcs
ivreg consumption  y1e ind rich maxt area1 area2 rest ed2 ed3 ed4 ed5 adult teen child outside (aprice  = pp1 pp2 pp3 pp4 pp5 pp6 ), r
**income+fixtures+charact
ivreg consumption  y1e  ind rich maxt area1 area2 rest  toilet standpipe bath shower ktap btap wash lawn flower vegetable winteri summeri carw  ed2 ed3 ed4 ed5 adult teen child outside (aprice  = pp1 pp2 pp3 pp4 pp5 pp6 ), r
**same controls as in ML
ivreg consumption  y1e ind rich maxt rest wash fo outdoor bath3 high  (aprice = pp1 pp2 pp3 pp4 pp5 pp6) , r


*****Olmstead version (Table 2, row 2)
**create a variable for the marginal price of observed consumption
gen marginal=.
replace marginal=pp1 if consumption<=w1
replace marginal=pp2 if consumption<=w2 & consumption>w1
replace marginal=pp3 if consumption<=w3 & consumption>w2
replace marginal=pp4 if consumption<=w4 & consumption>w3
replace marginal=pp5 if consumption<=w5 & consumption>w4 
replace marginal=pp6 if (consumption<=w6 & consumption>w5 & w6~=.) |( w6==. & consumption>w5)
replace marginal=pp7 if (consumption<=w7 & consumption>w6 & w6~=. & w7~=.) | (consumption>w6 & w6~=. & w7==.)
replace marginal=pp8 if  consumption>w7 & w7~=.

**only income
ivreg consumption  ind rich maxt area1 area2 rest  (marginal vi = pp1 pp2 pp3 pp4 pp5 pp6) , r
**income and other hh characterisitcs
ivreg consumption   ind rich maxt area1 area2 rest ed2 ed3 ed4 ed5 adult teen child outside (marginal vi = pp1 pp2 pp3 pp4 pp5 pp6 ), r
**income+fixtures+charact
ivreg consumption    ind rich maxt area1 area2 rest  toilet standpipe bath shower ktap btap wash lawn flower vegetable winteri summeri carw  ed2 ed3 ed4 ed5 adult teen child outside (marginal vi = pp1 pp2 pp3 pp4 pp5 pp6 ), r
**same controls as in ML
ivreg consumption   ind rich maxt rest wash fo outdoor bath3 high  (marginal vi = pp1 pp2 pp3 pp4 pp5 pp6) , r


**McFadden version (Table 2, row 3)
***two step instrument
**only income
**step 1
**regress consumption 
reg consumption  ind rich maxt area1 area2 rest y1e pp1 pp2 pp3 pp4 pp5 pp6
predict c1
**get marginal price for c1
gen m1=.
replace m1=pp1 if c1<=w1
replace m1=pp2 if c1<=w2 & c1>w1
replace m1=pp3 if c1<=w3 & c1>w2
replace m1=pp4 if c1<=w4 & c1>w3
replace m1=pp5 if c1<=w5 & c1>w4 
replace m1=pp6 if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace m1=pp7 if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace m1=pp8 if  c1>w7 & w7~=.

**get virtual income for c1
gen i1=.
replace i1=y1e if c1<=w1
replace i1=y2e if c1<=w2 & c1>w1
replace i1=y3e if c1<=w3 & c1>w2
replace i1=y4e if c1<=w4 & c1>w3
replace i1=y5e if c1<=w5 & c1>w4 
replace i1=y6e if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace i1=y7e if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace i1=y8e if  c1>w7 & w7~=.

gen dif=i1-y1e
**second step
reg consumption ind rich maxt area1 area2 rest y1e m1 dif, r
drop c1 m1 i1 dif


**income and other hh characterisitcs
reg consumption  ind rich maxt area1 area2 rest ed2 ed3 ed4 ed5 adult teen child outside y1e pp1 pp2 pp3 pp4 pp5 pp6
predict c1
**get marginal price for c1
gen m1=.
replace m1=pp1 if c1<=w1
replace m1=pp2 if c1<=w2 & c1>w1
replace m1=pp3 if c1<=w3 & c1>w2
replace m1=pp4 if c1<=w4 & c1>w3
replace m1=pp5 if c1<=w5 & c1>w4 
replace m1=pp6 if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace m1=pp7 if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace m1=pp8 if  c1>w7 & w7~=.

**get virtual income for c1
gen i1=.
replace i1=y1e if c1<=w1
replace i1=y2e if c1<=w2 & c1>w1
replace i1=y3e if c1<=w3 & c1>w2
replace i1=y4e if c1<=w4 & c1>w3
replace i1=y5e if c1<=w5 & c1>w4 
replace i1=y6e if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace i1=y7e if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace i1=y8e if  c1>w7 & w7~=.

gen dif=i1-y1e

**second step
reg consumption ind rich maxt area1 area2 rest ed2 ed3 ed4 ed5 adult teen child outside y1e m1 dif, r
estout ,   cells(b(star   fmt(%9.3f)) se(par)) starlevels(* 0.1  ** 0.05 *** 0.01 )
drop c1 m1 i1 dif


**income+fixtures+charact
reg consumption  ind rich maxt area1 area2 rest  toilet standpipe bath shower ktap btap wash lawn flower vegetable winteri summeri carw  ed2 ed3 ed4 ed5 adult teen child outside y1e pp1 pp2 pp3 pp4 pp5 pp6
predict c1
**get marginal price for c1
gen m1=.
replace m1=pp1 if c1<=w1
replace m1=pp2 if c1<=w2 & c1>w1
replace m1=pp3 if c1<=w3 & c1>w2
replace m1=pp4 if c1<=w4 & c1>w3
replace m1=pp5 if c1<=w5 & c1>w4 
replace m1=pp6 if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace m1=pp7 if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace m1=pp8 if  c1>w7 & w7~=.

**get virtual income for c1
gen i1=.
replace i1=y1e if c1<=w1
replace i1=y2e if c1<=w2 & c1>w1
replace i1=y3e if c1<=w3 & c1>w2
replace i1=y4e if c1<=w4 & c1>w3
replace i1=y5e if c1<=w5 & c1>w4 
replace i1=y6e if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace i1=y7e if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace i1=y8e if  c1>w7 & w7~=.

gen dif=i1-y1e

**second step
reg consumption ind rich maxt area1 area2 rest  toilet standpipe bath shower ktap btap wash lawn flower vegetable winteri summeri carw  ed2 ed3 ed4 ed5 adult teen child outside y1e m1 dif, r
estout ,   cells(b(star   fmt(%9.3f)) se(par)) starlevels(* 0.1  ** 0.05 *** 0.01 )
drop c1 m1 i1 dif


**same controls as in ML
**regress consumption 
reg consumption  ind rich maxt rest wash fo outdoor bath3 high y1e pp1 pp2 pp3 pp4 pp5 pp6
predict c1
**get marginal price for c1
gen m1=.
replace m1=pp1 if c1<=w1
replace m1=pp2 if c1<=w2 & c1>w1
replace m1=pp3 if c1<=w3 & c1>w2
replace m1=pp4 if c1<=w4 & c1>w3
replace m1=pp5 if c1<=w5 & c1>w4 
replace m1=pp6 if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace m1=pp7 if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace m1=pp8 if  c1>w7 & w7~=.

**get virtual income for c1
gen i1=.
replace i1=y1e if c1<=w1
replace i1=y2e if c1<=w2 & c1>w1
replace i1=y3e if c1<=w3 & c1>w2
replace i1=y4e if c1<=w4 & c1>w3
replace i1=y5e if c1<=w5 & c1>w4 
replace i1=y6e if (c1<=w6 & c1>w5 & w6~=.) |( w6==. & c1>w5)
replace i1=y7e if (c1<=w7 & c1>w6 & w6~=. & w7~=.) | (c1>w6 & w6~=. & w7==.)
replace i1=y8e if  c1>w7 & w7~=.

gen dif=i1-y1e

**second step
reg consumption ind rich maxt rest wash fo outdoor bath3 high y1e m1 dif, r
estout ,   cells(b(star   fmt(%9.3f)) se(par)) starlevels(* 0.1  ** 0.05 *** 0.01 )
drop c1 m1 i1 dif
