function [cc] = kinksegment(a,b,c,d,e,f,g,h);
%This function gives the lower and upper bounds for eta s.t a<eta<b OR g<eta<h AND c<eta<d if e<eta<f
% This may result in at most two distinct intervals, and function returns (lower bound1, upper bound1, lower bound2, upper bound2). 
A1=a;
F1=b;
A2=g;
F2=h;
if f<c
    x=compare2(a,b,g,h,e,f);
    A1=x(1,1);
    F1=x(1,2);
    A2=x(1,3);
    F2=x(1,4);
end
if e<c && c<f && f<d
    x=compare2(a,b,g,h,e,c);
    A1=x(1,1);
    F1=x(1,2);
    A2=x(1,3);
    F2=x(1,4);
end
if e<c && c<d && d<f
    x=compare3(a,b,e,c,d,f);
    A1=x(1,1);
    F1=x(1,2);
    A2=x(1,3);
    F2=x(1,4);
end
if c<e && e<f && f<d
    A1=a;
    F1=b;
    A2=g;
    F2=h;
end
if c<e && e<d && d<f
    x=compare2(a,b,g,h,d,f);
    A1=x(1,1);
    F1=x(1,2);
    A2=x(1,3);
    F2=x(1,4);
end
if d<e
    x=compare2(a,b,g,h,e,f);
    A1=x(1,1);
    F1=x(1,2);
    A2=x(1,3);
    F2=x(1,4);
end

cc=[A1,F1,A2,F2];