%Expected utilities on segments
%indirect utilities, times by^2 for scale
V1=by^2*exp(-by*p(:,1)).*(inc(:,1)+(bp/by)*p(:,1)+(bp/(by^2))+X*(bc/by)+zeta(:,1)/by);
V2=by^2*exp(-by*p(:,2)).*(inc(:,2)+(bp/by)*p(:,2)+(bp/(by^2))+X*(bc/by)+zeta(:,2)/by);
V3=by^2*exp(-by*p(:,3)).*(inc(:,3)+(bp/by)*p(:,3)+(bp/(by^2))+X*(bc/by)+zeta(:,3)/by);
V4=by^2*exp(-by*p(:,4)).*(inc(:,4)+(bp/by)*p(:,4)+(bp/(by^2))+X*(bc/by)+zeta(:,4)/by);
V5=by^2*exp(-by*p(:,5)).*(inc(:,5)+(bp/by)*p(:,5)+(bp/(by^2))+X*(bc/by)+zeta(:,5)/by);
V6=by^2*exp(-by*p(:,6)).*(inc(:,6)+(bp/by)*p(:,6)+(bp/(by^2))+X*(bc/by)+zeta(:,6)/by);
V7=by^2*exp(-by*p(:,7)).*(inc(:,7)+(bp/by)*p(:,7)+(bp/(by^2))+X*(bc/by)+zeta(:,7)/by);
V8=by^2*exp(-by*p(:,8)).*(inc(:,8)+(bp/by)*p(:,8)+(bp/(by^2))+X*(bc/by)+zeta(:,8)/by);

%multiplied by the probabilities at the segments
h1=V1.*pik(:,1);
h2=V2.*pik(:,2);
h3=V3.*pik(:,3);
h4=V4.*pik(:,4);
h5=V5.*pik(:,5);
h6=V6.*pik(:,6);
h7=V7.*pik(:,7);
h8=V8.*pik(:,8);

%V, therefore h, can have NaN's when probability of a segment is 0. Replace
%these with 0:
null=isnan(h1);
h1(null)=0;
null=isnan(h2);
h2(null)=0;
null=isnan(h3);
h3(null)=0;
null=isnan(h4);
h4(null)=0;
null=isnan(h5);
h5(null)=0;
null=isnan(h6);
h6(null)=0;
null=isnan(h7);
h7(null)=0;
null=isnan(h8);
h8(null)=0;


%Expected utilities at the kink points
x1=inc(:,1)-p(:,1).*w(:,1);
x2=inc(:,2)-p(:,2).*w(:,2);
x3=inc(:,3)-p(:,3).*w(:,3);
x4=inc(:,4)-p(:,4).*w(:,4);
x5=inc(:,5)-p(:,5).*w(:,5);
x6=inc(:,6)-p(:,6).*w(:,6);
x7=inc(:,7)-p(:,7).*w(:,7);

%part of utility that does not depend on eta, times by^2 for scale
A1=(by*w(:,1)+bp).*exp(by*(by*x1-w(:,1)+X*bc)./(by*w(:,1)+bp));
A2=(by*w(:,2)+bp).*exp(by*(by*x2-w(:,2)+X*bc)./(by*w(:,2)+bp));
A3=(by*w(:,3)+bp).*exp(by*(by*x3-w(:,3)+X*bc)./(by*w(:,3)+bp));
A4=(by*w(:,4)+bp).*exp(by*(by*x4-w(:,4)+X*bc)./(by*w(:,4)+bp));
A5=(by*w(:,5)+bp).*exp(by*(by*x5-w(:,5)+X*bc)./(by*w(:,5)+bp));
A6=(by*w(:,6)+bp).*exp(by*(by*x6-w(:,6)+X*bc)./(by*w(:,6)+bp));
A7=(by*w(:,7)+bp).*exp(by*(by*x7-w(:,7)+X*bc)./(by*w(:,7)+bp));

%expected utility given consumption at the kinks
B1=by./(by*w(:,1)+bp);
B2=by./(by*w(:,2)+bp);
B3=by./(by*w(:,3)+bp);
B4=by./(by*w(:,4)+bp);
B5=by./(by*w(:,5)+bp);
B6=by./(by*w(:,6)+bp);
B7=by./(by*w(:,7)+bp);

E1=exp(sn^2*B1.^2/2).*(normcdf(B1*sn-min([trunc,lo1k],[],2)/sn)-normcdf(B1*sn-min([trunc,up1k],[],2)/sn))./(normcdf(min([trunc,up1k],[],2)/sn)-normcdf(min([trunc,lo1k],[],2)/sn));
E2=exp(sn^2*B2.^2/2).*(normcdf(B2*sn-min([trunc,lo2k],[],2)/sn)-normcdf(B2*sn-min([trunc,up2k],[],2)/sn))./(normcdf(min([trunc,up2k],[],2)/sn)-normcdf(min([trunc,lo2k],[],2)/sn));
E3=exp(sn^2*B3.^2/2).*(normcdf(B3*sn-min([trunc,lo3k],[],2)/sn)-normcdf(B3*sn-min([trunc,up3k],[],2)/sn))./(normcdf(min([trunc,up3k],[],2)/sn)-normcdf(min([trunc,lo3k],[],2)/sn));
E4=exp(sn^2*B4.^2/2).*(normcdf(B4*sn-min([trunc,lo4k],[],2)/sn)-normcdf(B4*sn-min([trunc,up4k],[],2)/sn))./(normcdf(min([trunc,up4k],[],2)/sn)-normcdf(min([trunc,lo4k],[],2)/sn));
E5=exp(sn^2*B5.^2/2).*(normcdf(B5*sn-min([trunc,lo5k],[],2)/sn)-normcdf(B5*sn-min([trunc,up5k],[],2)/sn))./(normcdf(min([trunc,up5k],[],2)/sn)-normcdf(min([trunc,lo5k],[],2)/sn));
E6=exp(sn^2*B6.^2/2).*(normcdf(B6*sn-min([trunc,lo6k],[],2)/sn)-normcdf(B6*sn-min([trunc,up6k],[],2)/sn))./(normcdf(min([trunc,up6k],[],2)/sn)-normcdf(min([trunc,lo6k],[],2)/sn));
E7=exp(sn^2*B7.^2/2).*(normcdf(B7*sn-min([trunc,lo7k],[],2)/sn)-normcdf(B7*sn-min([trunc,up7k],[],2)/sn))./(normcdf(min([trunc,up7k],[],2)/sn)-normcdf(min([trunc,lo7k],[],2)/sn));

h1k=A1.*E1.*lambda(:,1);
h2k=A2.*E2.*lambda(:,2);
h3k=A3.*E3.*lambda(:,3);
h4k=A4.*E4.*lambda(:,4);
h5k=A5.*E5.*lambda(:,5);
h6k=A6.*E6.*lambda(:,6);
h7k=A7.*E7.*lambda(:,7);

null=isnan(h1k);
h1k(null)=0;
null=isnan(h2k);
h2k(null)=0;
null=isnan(h3k);
h3k(null)=0;
null=isnan(h4k);
h4k(null)=0;
null=isnan(h5k);
h5k(null)=0;
null=isnan(h6k);
h6k(null)=0;
null=isnan(h7k);
h7k(null)=0;

H=h1+h2+h3+h4+h5+h6+h7+h8+h1k+h2k+h3k+h4k+h5k+h6k+h7k;


