
[data] = textread('data.csv','','delimiter',',','emptyvalue',NaN);
tyear=data(:,2);
y=data(:,3);
n=length(y);
X=[ones(n,1) data(:,4:12)];
inc=data(:,21);
ind=data(:,4);
rich=data(:,6); 
k=size(X,2);


%z parameter vector is the result of the likelihood estimation
z=[2.11071384659238;0.364322010386021;0.343848517111769;4.78735441332822;0.196774695191232;0.0905645831176923;0.0527256528032570;0.0972003203417297;6.26074130958016;-0.120425446913677;-1.13853273664756;3.58054197016075e-05;0.0720547481702557;3.03865267604019;];

%x0 is the vector of starting values for the optimal marginal prices
x0=[1;1;1;1;1;1;1]; 
options=optimset('Algorithm','interior-point','AlwaysHonorConstraints','bounds','Display','iter','TolFun',0.001,'TolX',0.001);

%%%Compute total consumption and total revenue before with current.m
%%Set marginal cost to either 4 or 8.2 in contraint*.m

f=@(x) sum7(x,X,n,k,z,ind,inc);
g=@(x) constraint7(x,X,n,k,z,ind,inc);  
[x,fval,exitflag,output,gradient]=fmincon(f,x0,[],[],[],[],[0,0,0,0,0,0,0],[ 50,50,50,50,50,50,50],g,options);

%%%Chnage f and g functions based on the table in readme.pdf for the different cases



